LightWayTxtText.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWTextListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "LightWayTxtParser.hxx"`
`#include "LightWayTxtText.hxx"`

## Classes

struct | LightWayTxtTextInternal::PLC
| Internal : the different plc types: mainly for debugging. More...
struct | LightWayTxtTextInternal::Font
| Internal: struct used to store the font of a LightWayTxtText. More...
struct | LightWayTxtTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | LightWayTxtTextInternal::HFZone
| Internal: the header/footer zone of a LightWayTxtText. More...
struct | LightWayTxtTextInternal::State
| Internal: the state of a LightWayTxtText. More...

## Namespaces

namespace | LightWayTxtTextInternal
| Internal: the structures of a LightWayTxtText.

## Enumerations

enum | LightWayTxtTextInternal::PLCType { LightWayTxtTextInternal::P_Font , LightWayTxtTextInternal::P_Font2 , LightWayTxtTextInternal::P_Ruler , LightWayTxtTextInternal::P_Ruby , LightWayTxtTextInternal::P_StyleU , LightWayTxtTextInternal::P_StyleV , LightWayTxtTextInternal::P_Unknown }
| the different plc type More...

## Functions

std::ostream & | LightWayTxtTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | LightWayTxtTextInternal::operator<< (std::ostream &o, Font const &font)
std::ostream & | LightWayTxtTextInternal::operator<< (std::ostream &o, HFZone const &hf)